Bug 129863 - 2.6.7-1.517 kernel OOPS in nfs server
2.6.7-1.517 kernel OOPS in nfs server
Status: CLOSED DUPLICATE of bug 129858
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 11:30 EDT by H.J. Lu
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2004-08-13 11:30:48 EDT
Unable to handle kernel NULL pointer dereference at virtual address
00000000
 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#1]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 035f3400
esi: 1d6b4080   edi: 00000009   ebp: 1d684000   esp: 1d6bff1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1743, threadinfo=1d6bf000 task=1d7298f0)
Stack: ffff7e78 1d6b4080 00000009 1d684000 22a625bf 00000001 022b0001
00100100
       00200200 0039f331 22a6000a 00000006 00000003 00000006 035f3400
035f3400
       22a6249c 22a773f8 22a771b8 22a5857d 1d6be018 035f3464 035f3400
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#2]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 035f3600
esi: 1d685080   edi: 00000009   ebp: 1d677000   esp: 1d6b2f1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1742, threadinfo=1d6b2000 task=1d6861b0)
Stack: ffffe978 1d685080 00000009 1d677000 22a625bf 00000001 022b0001
00100100
       00200200 0039f376 22a6000a 00000006 00000003 00000006 035f3600
035f3600
       22a6249c 22a773f8 22a771b8 22a5857d 1d6b0018 035f3664 035f3600
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#3]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 21f19a00
esi: 1e3c3080   edi: 00000009   ebp: 1f9ae000   esp: 1d537f1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1736, threadinfo=1d537000 task=20dc0760)
Stack: ffff7e78 1e3c3080 00000009 1f9ae000 22a625bf 00000001 022b0001
00100100
       00200200 003a3f12 22a6000a 00000006 00000003 00000006 21f19a00
21f19a00
       22a6249c 22a773f8 22a771b8 22a5857d 1d51a018 21f19a64 21f19a00
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#4]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 21f1a200
esi: 1d513080   edi: 00000009   ebp: 1e14a000   esp: 1d8a1f1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1737, threadinfo=1d8a1000 task=1db18130)
Stack: ffffe978 1d513080 00000009 1e14a000 22a625bf 00000001 022b0001
00100100
       00200200 003a3f52 22a6000a 00000006 00000003 00000006 21f1a200
21f1a200
       22a6249c 22a773f8 22a771b8 22a5857d 1d60f018 21f1a264 21f1a200
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#5]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 21f19200
esi: 1d6de080   edi: 00000009   ebp: 1d648000   esp: 1d659f1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1739, threadinfo=1d659000 task=1d6872c0)
Stack: ffff7e78 1d6de080 00000009 1d648000 22a625bf 00000001 022b0001
00100100
       00200200 003add2d 22a6000a 00000006 00000003 00000006 21f19200
21f19200
       22a6249c 22a773f8 22a771b8 22a5857d 1d657018 21f19264 21f19200
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#6]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 035f3800
esi: 1d678080   edi: 00000009   ebp: 1d65a000   esp: 1d683f1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1741, threadinfo=1d683000 task=1d686760)
Stack: ffffe978 1d678080 00000009 1d65a000 22a625bf 00000001 022b0001
00100100
       00200200 003add8d 22a6000a 00000006 00000003 00000006 035f3800
035f3800
       22a6249c 22a773f8 22a771b8 22a5857d 1d682018 035f3864 035f3800
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#7]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 21f19400
esi: 1d649080   edi: 00000009   ebp: 1d512000   esp: 1d6dcf1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1738, threadinfo=1d6dc000 task=1d687870)
Stack: ffff7e78 1d649080 00000009 1d512000 22a625bf 00000001 022b0001
00100100
       00200200 003b2934 22a6000a 00000006 00000003 00000006 21f19400
21f19400
       22a6249c 22a773f8 22a771b8 22a5857d 1d6da018 21f19464 21f19400
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000000 printing eip:
0214122c
*pde = 00003001
Oops: 0000 [#8]
SMP
Modules linked in: nfsd exportfs lockd md5 ipv6 parport_pc lp parport
autofs4 sunrpc e100 mii floppy sg scsi_mod microcode dm_mod uhci_hcd
ehci_hcd ohci_hcd button battery asus_acpi ac ext3 jbd
CPU:    0
EIP:    0060:[<0214122c>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.517.hjl.0smp)
EIP is at page_address+0x6/0x6e
eax: 00000000   ebx: 00000000   ecx: 0000000a   edx: 035f3a00
esi: 1d65b080   edi: 00000009   ebp: 1d6dd000   esp: 1d676f1c
ds: 007b   es: 007b   ss: 0068
Process nfsd (pid: 1740, threadinfo=1d676000 task=1d686d10)
Stack: ffffe978 1d65b080 00000009 1d6dd000 22a625bf 00000001 022b0001
00100100
       00200200 003b297a 22a6000a 00000006 00000003 00000006 035f3a00
035f3a00
       22a6249c 22a773f8 22a771b8 22a5857d 1d674018 035f3a64 035f3a00
22a773f8
Call Trace:
 [<22a625bf>] nfs3svc_decode_readargs+0x123/0x169 [nfsd]
 [<022b0001>] ipv6_skip_exthdr+0x87/0xc6
 [<22a6000a>] nfssvc_decode_renameargs+0x26/0x14b [nfsd]
 [<22a6249c>] nfs3svc_decode_readargs+0x0/0x169 [nfsd]
 [<22a5857d>] nfsd_dispatch+0x6a/0x15d [nfsd]
 [<229a0539>] svc_process+0x32b/0x569 [sunrpc]
 [<22a583af>] nfsd+0x1c5/0x329 [nfsd]
 [<22a581ea>] nfsd+0x0/0x329 [nfsd]
 [<021041f1>] kernel_thread_helper+0x5/0xb
Code: 8b 00 f6 c4 01 75 19 2b 1d 90 f4 40 02 c1 fb 05 c1 e3 0c 8d
Comment 1 Steve Dickson 2004-08-13 11:46:51 EDT

*** This bug has been marked as a duplicate of 129858 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:05:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.